Tasks
Get Task
Retrieves a single task by ID
Retrieves a single task by ID
Path Parameters
id*string
Task ID
Format
uuidQuery Parameters
expand?|||array<>
Expansion fields: "all" (full enrichment, default), "none" (IDs only), or comma-separated/repeated fields (status,team,project,assignee)
Default
"all"Response Body
application/json
curl -X GET "https://example.com/v1/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "dueDate": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "publicId": 0, "priority": true, "visibility": "string", "createdById": "e13e432a-5323-4484-a91d-b5969bc564d9", "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8", "teamId": "a4ede8ba-7c0a-4485-8763-cbd9b282fbec", "statusId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "assignedToId": "7a15e53b-1403-4928-9451-d7062c3a8737", "repeatId": "cef73cf7-0158-4282-a1d8-86ad6c8f41a9", "description": { "html": "string", "markdown": "string" }, "status": { "id": "string", "name": "string", "stage": "string", "color": "string" }, "assignee": { "id": "string", "name": "string", "email": "string" }, "team": { "id": "string", "name": "string", "publicId": "str" }, "project": { "id": "string", "name": "string" }}